Package org.eclipse.mat.inspections

## Class FindLeaksQuery.SuspectsResultTable

- java.lang.Object
- - org.eclipse.mat.inspections.FindLeaksQuery.SuspectsResultTable

All Implemented Interfaces:
  `IResult`, `IResultTable`, `IStructuredResult`

Direct Known Subclasses:
  `FindLeaksQuery2.SuspectsResultTable`

Enclosing class:
  FindLeaksQuery

    public static class FindLeaksQuery.SuspectsResultTable
    extends java.lang.Object
    implements IResultTable

### Constructor Summary

Constructors
`SuspectsResultTable​(FindLeaksQuery.SuspectRecord[] data, long totalHeap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Column[]` `getColumns()` The columns of the tree or table.
`java.lang.Object` `getColumnValue​(java.lang.Object row, int columnIndex)` Returns the (unformatted) value of a table/tree cell.
`IContextObject` `getContext​(java.lang.Object row)` The default context of the row which is used to display information in the object inspector.
`FindLeaksQuery.SuspectRecord[]` `getData()`
`ResultMetaData` `getResultMetaData()` (Optionally) Return meta data of the result needed to fine-tune the display of the result.
`FindLeaksQuery.SuspectRecord` `getRow​(int rowId)` Returns the object of the row with the given row number.
`int` `getRowCount()` Returns the number of rows in the result table.
`long` `getTotalHeap()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuspectsResultTable

    public SuspectsResultTable​(FindLeaksQuery.SuspectRecord[] data,
                               long totalHeap)

### Method Detail

#### getResultMetaData

    public ResultMetaData getResultMetaData()

Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

#### getColumns

    public Column[] getColumns()

Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

#### getRowCount

    public int getRowCount()

Description copied from interface: `IResultTable`
Returns the number of rows in the result table.

Specified by:
  `getRowCount` in interface `IResultTable`
Returns:
  the number of rows

#### getRow

    public FindLeaksQuery.SuspectRecord getRow​(int rowId)

Description copied from interface: `IResultTable`
Returns the object of the row with the given row number.

Specified by:
  `getRow` in interface `IResultTable`
Parameters:
  `rowId` - The row number.
Returns:
  an opaque row object representing this row which can be passed to `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### getColumnValue

    public java.lang.Object getColumnValue​(java.lang.Object row,
                                           int columnIndex)

Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

#### getContext

    public IContextObject getContext​(java.lang.Object row)

Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

#### getData

    public FindLeaksQuery.SuspectRecord[] getData()

#### getTotalHeap

    public long getTotalHeap()